package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/INSTANCEOF.class */
public class INSTANCEOF extends CPInstruction implements LoadClass, ExceptionThrower, StackProducer, StackConsumer {
    /* JADX INFO: Access modifiers changed from: package-private */
    public INSTANCEOF() {
    }

    public INSTANCEOF(int index) {
        super((short) 193, index);
    }

    @Override // org.apache.bcel.generic.Instruction
    public void accept(Visitor v) {
        v.visitLoadClass(this);
        v.visitExceptionThrower(this);
        v.visitStackProducer(this);
        v.visitStackConsumer(this);
        v.visitTypedInstruction(this);
        v.visitCPInstruction(this);
        v.visitINSTANCEOF(this);
    }

    @Override // org.apache.bcel.generic.ExceptionThrower
    public Class<?>[] getExceptions() {
        return ExceptionConst.createExceptions(ExceptionConst.EXCS.EXCS_CLASS_AND_INTERFACE_RESOLUTION, new Class[0]);
    }

    @Override // org.apache.bcel.generic.LoadClass
    public ObjectType getLoadClassType(ConstantPoolGen cpg) {
        Type t = getType(cpg);
        if (t instanceof ArrayType) {
            t = ((ArrayType) t).getBasicType();
        }
        if (t instanceof ObjectType) {
            return (ObjectType) t;
        }
        return null;
    }
}
